{
  "format_version": "1.16.0",
  "minecraft:vegetation_patch_feature": {
    "description": {
      "identifier": "nicothekid:cave_x_mosshroom_ceiling_x_02_x_vegetation"
    },
    "ground_block": "minecraft:moss_block",
    "replaceable_blocks": [
      "minecraft:cobbled_deepslate",
      "minecraft:deepslate",
      "minecraft:gravel",
      "minecraft:tuff"
    ],
    "vegetation_feature": "nicothekid:cave_x_mosshroom_ceiling_x_01_x_weight",
    "vegetation_chance": 0.01,
    "surface": "ceiling",
    "vertical_range": 5,
    "horizontal_radius": {
      "range_min": 6,
      "range_max": 12
    },
    "depth": {
      "range_min": 1,
      "range_max": 2
    },
    "extra_deep_block_chance": 0.8,
    "extra_edge_column_chance": 0.15,
    "waterlogged": false
  }
}